Check-in [a1e041469d]
Overview
Comment:Moved kitcreator to its own project
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:a1e041469d20e44d227a63543cd68efb80187768
User & Date: rkeene on 2010-09-26 04:37:40
Other Links: manifest | tags
Context
2010-09-26
04:37
KitCreator 0.0.1.x

Added release procedure scripts check-in: a1b05ba814 user: rkeene tags: trunk, 0.0.1

04:37
Moved kitcreator to its own project check-in: a1e041469d user: rkeene tags: trunk
04:37
Fixed bootstrapping to work check-in: e050506a1c user: rkeene tags: trunk
Changes

Modified kitcreator from [fcb2d0c6dc] to [bee88e3dbf].

     9      9   fi
    10     10   if [ "$1" = "distclean" ]; then
    11     11   	mode="distclean"
    12     12   fi
    13     13   
    14     14   failedpkgs=""
    15     15   buildfailed="0"
    16         -for pkg in tcl tk itcl mk4tcl tclvfs memchan kitsh; do
           16  +for pkg in tcl tk itcl mk4tcl tclvfs kitsh; do
    17     17   	if [ "${mode}" = "distclean" ]; then
    18     18   		rm -rf "${pkg}/src"
    19     19   	fi
    20     20   
    21     21   	if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
    22     22   		rm -f "${pkg}/build.log"
    23     23   		rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build"
................................................................................
    37     37   	fi
    38     38   
    39     39   	case "${pkg}" in
    40     40   		tcl)
    41     41   			TCLCONFIGDIR=$(find "$(pwd)/tcl/build" -name tclConfig.sh | head -1 | sed 's@/[^/]*$@@')
    42     42   			export TCLCONFIGDIR
    43     43   			;;
    44         -		memchan)
    45         -			failed="0"
    46         -			;;
    47     44   	esac
    48     45   
    49     46   	if [ "${failed}" = "1" ]; then
    50     47   		buildfailed="1"
    51     48   	fi
    52     49   done
           50  +
           51  +if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
           52  +	rm -f tclkit-*
           53  +
           54  +	exit 0
           55  +fi
    53     56   
    54     57   if [ -n "${failedpkgs}" ]; then
    55     58   	echo "Failed to build:${failedpkgs}"
    56     59   fi
    57     60   
    58     61   if [ "${buildfailed}" != "0" ]; then
    59     62   	echo 'WARNING: Build is likely incomplete or failed.' >&2
    60     63   fi
    61     64   
    62     65   cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}"
    63     66   
    64     67   exit "${buildfailed}"

Deleted memchan/build.sh version [cd0bedd3b8].

     1         -#! /bin/bash
     2         -
     3         -if [ ! -f 'build.sh' ]; then
     4         -	echo 'ERROR: This script must be run from the directory it is in' >&2
     5         -
     6         -	exit 1
     7         -fi
     8         -if [ -z "${TCLVERS}" ]; then
     9         -	echo 'ERROR: The TCLVERS environment variable is not set' >&2
    10         -
    11         -	exit 1
    12         -fi
    13         -
    14         -MEMCHANVERS="2.2.1"
    15         -SRC="src/memchan-${MEMCHANVERS}.tar.gz"
    16         -SRCURL="http://sourceforge.net/projects/memchan/files/memchan/${MEMCHANVERS}/memchan-${MEMCHANVERS}.tar.gz/download"
    17         -BUILDDIR="$(pwd)/build/memchan-${MEMCHANVERS}"
    18         -OUTDIR="$(pwd)/out"
    19         -INSTDIR="$(pwd)/inst"
    20         -export MEMCHANVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    21         -
    22         -rm -rf 'build' 'out' 'inst'
    23         -mkdir 'build' 'out' 'inst' || exit 1
    24         -
    25         -if [ ! -f "${SRC}" ]; then
    26         -	mkdir 'src' >/dev/null 2>/dev/null
    27         -
    28         -	wget -O "${SRC}" "${SRCURL}" || exit 1
    29         -fi
    30         -
    31         -(
    32         -	cd 'build' || exit 1
    33         -
    34         -	gzip -dc "../${SRC}" | tar -xf -
    35         -
    36         -	cd "${BUILDDIR}" || exit 1
    37         -
    38         -	# This fixes a well-known, long-standing failure in many Tcl
    39         -	# configure scripts
    40         -	sed "s@ /etc/\\.relid'@ '/etc/.relid'@" configure > configure.new
    41         -	cat configure.new > configure
    42         -	rm -f configure.new
    43         -
    44         -	cd generic || exit 1
    45         -
    46         -	../configure --enable-shared --prefix="${INSTDIR}" --exec-prefix="${INSTDIR}" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA}
    47         -
    48         -	"${MAKE:-make}" || exit 1
    49         -
    50         -	"${MAKE:-make}" install
    51         -
    52         -	exit 0
    53         -) || exit 1
    54         -
    55         -exit 0